Subject: allucingenic mushrooms

From: [email-masked] (Stamets 1)
Date: 4 Jun 1996 14:03:39 -0400

Well put there, senor Odell. Also, if he was alone, how does one determine
the cause of death related to any mushrooms at all ? Mushrooms are always
the first suspect in the pantheon of candidates. ("When in doubt, 
blame a mushroom."). Who was the pathologist who made the diagnosis ? More
information is obviously needed before a judgment could be made. Also,
what country did this occur in ?

paul stamets